package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.RpaJclService;
import com.engine.recruit.service.impl.RpaJclServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/10/27
 * @version: 1.0
 */
public class RpaJclWrapper extends Service {
    private RpaJclService getRpaJclService(User user) {
        return ServiceUtil.getService(RpaJclServiceImpl.class, user);
    }

    public Map<String, Object> setEmailSetting(Map<String, Object> param) {
        return getRpaJclService(user).setEmailSetting(param);
    }
}
